Subject: Re: [PATCH v2] MyFirstContribution: add avenues for getting help

From: SZEDER Gábor <[email-masked]>
Date: Tue, 19 Nov 2019 19:49:19 +0100

On Mon, Nov 18, 2019 at 01:45:19PM -0800, Emily Shaffer wrote:
> On Sat, Nov 16, 2019 at 12:05:45PM +0900, Junio C Hamano wrote:
> > > +==== https://public-inbox.org/git[[email-masked]]
> > > +
> > > +This is the main Git project mailing list where code reviews, version
> > > +announcements, design discussions, and more take place. If you fail to receive
> > > +help via the channels above, you can ask your question here. The Git list
> > > +requires plain-text-only emails and prefers inline and bottom-posting when
> > > +replying to mail; you will be CC'd in all replies to you. Optionally, you can
> > > +subscribe to the list by sending an email to [email-masked] with
> > > +"subscribe git" in the body.
> > 
> > Sounds good; I agree with Denton, especially with the mention of
> > "you must join" on the other mailing list, that it is a good idea to
> > explicitly say that subscription is optional in this entry.
> > 
> > You can ask questions even if you haven't tried other avenues and
> > failed, but this entry makes it sound as if an earlier failure
> > elsewhere is a prerequisite for asking for help here.
> 
> I envision an exchange sort of like this:
> 
> Newbie to [email-masked]: "I'm having trouble compiling Git and I
> want to write a patch, I'm getting X error"
> 
> Veteran to Newbie, cc git-mentoring, bcc [email-masked]:
> "Please build with blah flag and paste console output, plus let us know
> system information blah blah blah"

That won't work if the veteran is not registered to the mentoring
list, and we can't assume that the newbie is registered there either.
I don't think that we should send anyone who asked a question here to
somewhere else, especially if that elsewhere requires registration.

> I don't mind the idea of pushing folks to ask on the mentoring list
> first. It's pretty well attended already - just now I count 16 list
> members, a pretty significant majority of which are project veterans. I
> have no problem suggesting newbies ask their questions, which others
> probably had and solved before them, in a space separate from the main
> mailing list.
> 
> Of course if you want to encourage newbies to ask in any of these three
> venues, weighted equally, I can change the language. But suggesting the
> main list as a last resort was intentional.

git@vger is the ultimate source of all wisdom :) and it is openly
accessible for anyone for writing, reading, and searching.  Therefore
these three venues cannot be weighted equally, but git@vger should be
the explicitly preferred venue.  Only if the newbie has some other
preferences should the other two be considered; e.g. if more
interactive, chatty communication is preferred, then try #git-devel.